Skip to Content
CallMitraDocs
API referenceCampaigns

List scheduled callbacks

Callbacks your agents booked during calls and reminder calls from your rules, soonest first. Use `leadId` to see what is booked for one lead.

GET
/api/v1/callbacks

Callbacks your agents booked during calls and reminder calls from your rules, soonest first. Use leadId to see what is booked for one lead.

Authorization

headerX-API-Key<token>

Create in the console: Settings → API & webhooks.

Query Parameters

status?string

Comma-separated statuses, or all. Default pending,queued,dialing (still to happen).

kind?string

callback or reminder.

Value in"callback""reminder"
leadId?string

Only this lead's callbacks.

Formatuuid
campaignId?string

Only this campaign's callbacks.

Formatuuid
agentId?string

Only this agent's callbacks.

Formatuuid
dateFrom?string

dialAt at or after this ISO 8601 time.

dateTo?string

dialAt at or before this ISO 8601 time.

limit?integer

Page size, 1 to 200.

Default50
offset?integer

Callbacks to skip.

Default0

Response Body

OK

application/json
  1. response

One page of callbacks, soonest first.

callbacks*array<>

Callbacks on this page, by dialAt.

total*Total

Callbacks matching the filters.

[key: string]?any
Example Request
curl -X GET 'https://api.callmitra.ai/api/v1/callbacks'
Example Response
{  "callbacks": [    {      "agentId": "string",      "attempts": 0,      "callId": "string",      "campaignId": "string",      "campaignName": "",      "channel": "phone",      "createdAt": "string",      "dialAt": "string",      "dialAtLocal": "string",      "dueAt": "string",      "id": "string",      "kind": "string",      "lastOutcome": "string",      "leadId": "string",      "leadName": "",      "leadPhone": "",      "maxAttempts": 0,      "note": "",      "originCallId": "string",      "purpose": "string",      "shifted": false,      "source": "string",      "status": "string",      "timezone": "string"    }  ],  "total": 0}